### Enumeration

# Gimp GradientType

#### Declaration

    enum Gimp.GradientType

#### Description [src]

Gradient shapes.

#### Members

`GIMP_GRADIENT_LINEAR`

  Linear.

  - Value: `0`
  - Available since: 3.0
`GIMP_GRADIENT_BILINEAR`

  Bi-linear.

  - Value: `1`
  - Available since: 3.0
`GIMP_GRADIENT_RADIAL`

  Radial.

  - Value: `2`
  - Available since: 3.0
`GIMP_GRADIENT_SQUARE`

  Square.

  - Value: `3`
  - Available since: 3.0
`GIMP_GRADIENT_CONICAL_SYMMETRIC`

  Conical (symmetric).

  - Value: `4`
  - Available since: 3.0
`GIMP_GRADIENT_CONICAL_ASYMMETRIC`

  Conical (asymmetric).

  - Value: `5`
  - Available since: 3.0
`GIMP_GRADIENT_SHAPEBURST_ANGULAR`

  Shaped (angular).

  - Value: `6`
  - Available since: 3.0
`GIMP_GRADIENT_SHAPEBURST_SPHERICAL`

  Shaped (spherical).

  - Value: `7`
  - Available since: 3.0
`GIMP_GRADIENT_SHAPEBURST_DIMPLED`

  Shaped (dimpled).

  - Value: `8`
  - Available since: 3.0
`GIMP_GRADIENT_SPIRAL_CLOCKWISE`

  Spiral (clockwise).

  - Value: `9`
  - Available since: 3.0
`GIMP_GRADIENT_SPIRAL_ANTICLOCKWISE`

  Spiral (counter-clockwise).

  - Value: `10`
  - Available since: 3.0